# Method: partners.devices.metadata

- [HTTP request](https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.devices/metadata#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.devices/metadata#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.devices/metadata#body.request_body)
  - [JSON representation](https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.devices/metadata#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.devices/metadata#body.response_body)
- [Authorization Scopes](https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.devices/metadata#body.aspect)

Updates reseller metadata associated with the device.

### HTTP request

`POST https://androiddeviceprovisioning.googleapis.com/v1/partners/{metadataOwnerId}/devices/{deviceId}/metadata`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `metadataOwnerId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The owner of the newly set metadata. Set this to the partner ID. |
| `deviceId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ID of the device. |

### Request body

The request body contains data with the following structure:

| JSON representation ||
|---|---|
| ``` { "deviceMetadata": { object (`https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.devices#DeviceMetadata`) } } ``` |

| Fields ||
|---|---|
| `deviceMetadata` | ``object (`https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.devices#DeviceMetadata`)`` Required. The metadata to attach to the device. |

### Response body

If successful, the response body contains an instance of `https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.devices#DeviceMetadata`.

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/androidworkprovisioning`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).